Bug 1606137 - rst2pdf: FTBFS in Fedora rawhide
Summary: rst2pdf: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rst2pdf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1585626 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 18:36 UTC by Mohan Boddu
Modified: 2018-08-21 13:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-21 13:03:39 UTC


Attachments (Terms of Use)
build.log (3.70 KB, text/plain)
2018-07-20 18:36 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 18:36 UTC, Mohan Boddu
no flags Details
state.log (619 bytes, text/plain)
2018-07-20 18:36 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 18:36:12 UTC
rst2pdf failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28228490


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix rst2pdf at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rst2pdf will be orphaned. Before branching of Fedora 30,
rst2pdf will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 18:36:19 UTC
Created attachment 1467449 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 18:36:25 UTC
Created attachment 1467450 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 18:36:31 UTC
Created attachment 1467451 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:03:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Igor Gnatenko 2018-08-21 13:03:39 UTC
There has been at least one successfull build after mass rebuild.

rst2pdf-0.93-14.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1138106


Note You need to log in before you can comment on or make changes to this bug.